<?
define('PROTECTOR', 1);

$headmod = 'ava';//фикс. места

$textl='Мой аватар';
include('files/path.php');
include($path.'files/db.php');
include($path.'files/auth.php');
include($path.'files/func.php');
include($path.'files/core.php');
include($path.'files/head.php');
include($path.'files/zag.php');

switch($_GET[mod]){

default:
if (isset($_FILES['file']))
{
if($udata[vip] != 1){
if($udata['almaz']<20){
echo'У вас не хватает <img src=pic/main/almaz.png>!';
echo "<br><a href=\"ava.php?\"> Вернуться</a>";
include($path.'files/down.php');
exit;
} }




if (eregi('\.jpeg$',$_FILES['file']['name']) && $imgc=@imagecreatefromjpeg($_FILES['file']['tmp_name']))
{
if (imagesx($imgc)>125 || imagesy($imgc)>125)
{
$img_x=imagesx($imgc);
$img_y=imagesy($imgc);
if ($img_x==$img_y)
{
$dstW=125; // ширина
$dstH=125; // высота
}
elseif ($img_x>$img_y)
{
$prop=$img_x/$img_y;
$dstW=125;
$dstH=ceil($dstW/$prop);
}
else
{
$prop=$img_y/$img_x;
$dstH=125;
$dstW=ceil($dstH/$prop);
}

$screen=imagecreatetruecolor($dstW, $dstH);
imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
imagedestroy($imgc);
@chmod($path."pic/avanick/$log.jpg",0777);
@chmod($path."pic/avanick/$log.gif",0777);
@chmod($path."pic/avanick/$log.png",0777);
@unlink($path."pic/avanick/$log.jpg");
@unlink($path."pic/avanick/$log.gif");
@unlink($path."pic/avanick/$log.png");
imagejpeg($screen,$path."pic/avanick/$log.jpg",100);
@chmod($path."pic/avanick/$log.jpg",0777);
imagedestroy($screen);
}
else
{
copy($_FILES['file']['tmp_name'], $path."pic/avanick/$log.jpg");
}
if($udata[vip] != 1){
$udata[gold]=$udata[almaz]-20;//mony
mysql_query("UPDATE `users` SET `almaz` = '$udata[gold]' WHERE `usr` = '$log'"); }

echo "Аватар успешно установлен";
}


if (eregi('\.jpg$',$_FILES['file']['name']) && $imgc=@imagecreatefromjpeg($_FILES['file']['tmp_name']))
{
if (imagesx($imgc)>125 || imagesy($imgc)>125)
{
$img_x=imagesx($imgc);
$img_y=imagesy($imgc);
if ($img_x==$img_y)
{
$dstW=125; // ширина
$dstH=125; // высота
}
elseif ($img_x>$img_y)
{
$prop=$img_x/$img_y;
$dstW=125;
$dstH=ceil($dstW/$prop);
}
else
{
$prop=$img_y/$img_x;
$dstH=125;
$dstW=ceil($dstH/$prop);
}

$screen=imagecreatetruecolor($dstW, $dstH);
imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
imagedestroy($imgc);
@chmod($path."pic/avanick/$log.jpg",0777);
@chmod($path."pic/avanick/$log.gif",0777);
@chmod($path."pic/avanick/$log.png",0777);
@unlink($path."pic/avanick/$log.jpg");
@unlink($path."pic/avanick/$log.gif");
@unlink($path."pic/avanick/$log.png");
imagejpeg($screen,$path."pic/avanick/$log.jpg",100);
@chmod($path."pic/avanick/$log.jpg",0777);
imagedestroy($screen);
}
else
{
copy($_FILES['file']['tmp_name'], $path."pic/avanick/$log.jpg");
}

echo "Аватар успешно установлен";
}



elseif (eregi('\.png$',$_FILES['file']['name']) && $imgc=@imagecreatefrompng($_FILES['file']['tmp_name']))
{
if (imagesx($imgc)>125 || imagesy($imgc)>125)
{
$img_x=imagesx($imgc);
$img_y=imagesy($imgc);
if ($img_x==$img_y)
{
$dstW=125; // ширина
$dstH=125; // высота
}
elseif ($img_x>$img_y)
{
$prop=$img_x/$img_y;
$dstW=125;
$dstH=ceil($dstW/$prop);
}
else
{
$prop=$img_y/$img_x;
$dstH=125;
$dstW=ceil($dstH/$prop);
}

$screen=ImageCreate($dstW, $dstH);
imagecopyresampled($screen, $imgc, 0, 0, 0, 0, $dstW, $dstH, $img_x, $img_y);
imagedestroy($imgc);


@chmod($path."pic/avanick/$log.jpg",0777);
@chmod($path."pic/avanick/$log.gif",0777);
@chmod($path."pic/avanick/$log.png",0777);
@unlink($path."pic/avanick/$log.jpg");
@unlink($path."pic/avanick/$log.gif");
@unlink($path."pic/avanick/$log.png");
imagepng($screen,$path."pic/avanick/$log.png");
@chmod($path."pic/avanick/$log.png",0777);
imagedestroy($screen);
}
else
{

copy($_FILES['file']['tmp_name'], $path."pic/avanick/$log.png");
}

echo "Аватар успешно установлен";
}
else
{
echo "Неверный формат файла";
}
}


echo "<form method='post' enctype='multipart/form-data' action='?$passgen'>\n";
echo "Ваш текущий аватар:";
avatar($log);
echo "<br />";
echo "Можно загружать картинки форматов:  JPG, PNG<br />\n";
if($udata[vip] != 1){
echo "Стоимость:  <img src='pic/main/almaz.png'/>20<br />\n"; }


echo "<input type='file' name='file' accept='image/*,image/png,image/jpeg,image/jpg' />\n";
echo "<input value='Заменить' type='submit' />\n";
echo "</form>\n";
echo "<br /><a href='ava.php?mod=del'>Удалить аватар</a>";
break; 

case 'del':
@unlink($path."pic/avanick/$log.jpg");
@unlink($path."pic/avanick/$log.gif");
@unlink($path."pic/avanick/$log.png");
echo "Аватар успешно удален";
echo "<br /><a href='ava.php'>Назад</a>";
break;
}
include($path.'files/down.php');
?>